org.apache.ignite.internal.processors.configuration.distributed

## Class DistributedConfigurationProcessor

- java.lang.Object
- - org.apache.ignite.internal.processors.GridProcessorAdapter
  - - org.apache.ignite.internal.processors.configuration.distributed.DistributedConfigurationProcessor

All Implemented Interfaces:
  GridComponent, DistributedPropertyDispatcher, GridProcessor

    public class DistributedConfigurationProcessor
    extends GridProcessorAdapter
    implements DistributedPropertyDispatcher

Processor of distributed configuration. This class control lifecycle of actualization `DistributedProperty` across whole cluster.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.ignite.internal.GridComponent

`GridComponent.DiscoveryDataExchangeType`

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.GridProcessorAdapter

`ctx, diagnosticLog, log`

### Constructor Summary

Constructors
Constructor and Description
`DistributedConfigurationProcessor(GridKernalContext ctx)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`List<DistributedChangeableProperty<Serializable>>` `properties()`
`@Nullable DistributedChangeableProperty<Serializable>` `property(String name)`
`<T extends DistributedChangeableProperty> void` `registerProperties(T... props)` Attach already created property.
`<T extends Serializable> DistributedProperty<T>` `registerProperty(DistributedChangeableProperty<T> prop)` Register property to processor and attach it if it possible.
`void` `start()` Starts grid component.
`static String` `toMetaStorageKey(String propKey)`

### Methods inherited from class org.apache.ignite.internal.processors.GridProcessorAdapter

`assertParameter, collectGridNodeData, collectJoiningNodeData, discoveryDataType, onDisconnected, onGridDataReceived, onJoiningNodeDataReceived, onKernalStart, onKernalStop, onReconnected, printMemoryStats, stop, toString, validateNode, validateNode`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DistributedConfigurationProcessor

    public DistributedConfigurationProcessor(GridKernalContext ctx)

Parameters:
  `ctx` - Kernal context.

### Method Detail

#### start

    public void start()
               throws IgniteCheckedException

Starts grid component.

Specified by:
  `start` in interface `GridComponent`
Overrides:
  `start` in class `GridProcessorAdapter`
Throws:
  `IgniteCheckedException` - Throws in case of any errors.

#### toMetaStorageKey

    public static String toMetaStorageKey(String propKey)

Parameters:
  `propKey` - Key of specific property.
Returns:
  Property key for meta storage.

#### registerProperties

    public <T extends DistributedChangeableProperty> void registerProperties(T... props)

Attach already created property.

Specified by:
  `registerProperties` in interface `DistributedPropertyDispatcher`
Type Parameters:
  `T` - Type of property value.
Parameters:
  `props` - Properties to attach to processor.

#### registerProperty

    public <T extends Serializable> DistributedProperty<T> registerProperty(DistributedChangeableProperty<T> prop)

Register property to processor and attach it if it possible.

Specified by:
  `registerProperty` in interface `DistributedPropertyDispatcher`
Parameters:
  `prop` - Property to attach to processor.

#### properties

    public List<DistributedChangeableProperty<Serializable>> properties()

Returns:
  Public properties.

#### property

    @Nullable
    public @Nullable DistributedChangeableProperty<Serializable> property(String name)

Parameters:
  `name` - Property name.
Returns:
  Public property.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022